Tonyu.klass.define({
  fullName: 'user.Bomb',
  shortName: 'Bomb',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Bomb_main() {
        "use strict";
        var _this=this;
        
        _this.alphaInit=_this.clamp(128-Tonyu.globals.$level*10,0,128);
        _this.alpha=_this.alphaInit;
        _this.p=Tonyu.globals.$pat_neko+49;
        _this.x=_this.rnd(Tonyu.globals.$screenWidth);
        _this.y=0;
        _this.tx=_this.rnd(50,Tonyu.globals.$screenWidth-50);
        _this.vy=_this.vy||1;
        _this.limy=Tonyu.globals.$limy;
        _this.vx=(_this.tx-_this.x)/(_this.limy/_this.vy);
        while (_this.y<_this.limy) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.n=_this.all(Tonyu.classes.user.Explosion).nearest();
          if (_this.n&&_this.dist(_this.n)<64) {
            _this.alpha=_this.alphaInit+_this.n.radius;
            
          } else {
            _this.alpha=_this.alphaInit;
            
          }
          if (_this.limy-_this.y<10) {
            _this.alpha=_this.alphaInit+(_this.limy-_this.y)*10;
            
          }
          if (Tonyu.globals.$gov) {
            break;
            
          }
          _this.update();
          
        }
        _this.alpha=255;
        if (! Tonyu.globals.$gov) {
          Tonyu.globals.$gov=true;
          _this.i=0;for (; _this.i<16 ; _this.i++) {
            Tonyu.checkLoop();
            {
              _this.scaleX+=1/16;
              _this.update();
            }
          }
          _this.i=0;for (; _this.i<20 ; _this.i++) {
            Tonyu.checkLoop();
            {
              Tonyu.globals.$panel.fillStyle=new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5});
              Tonyu.globals.$panel.fillRect(0,Tonyu.globals.$limy,465,100);
              _this.updateEx(10);
            }
          }
          
        }
      },
      fiber$main :function _trc_Bomb_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.alphaInit=_this.clamp(128-Tonyu.globals.$level*10,0,128);
        _this.alpha=_this.alphaInit;
        _this.p=Tonyu.globals.$pat_neko+49;
        _this.x=_this.rnd(Tonyu.globals.$screenWidth);
        _this.y=0;
        _this.tx=_this.rnd(50,Tonyu.globals.$screenWidth-50);
        _this.vy=_this.vy||1;
        _this.limy=Tonyu.globals.$limy;
        _this.vx=(_this.tx-_this.x)/(_this.limy/_this.vy);
        
        _thread.enter(function _trc_Bomb_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.y<_this.limy)) { __pc=4     ; break; }
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              _this.n=_this.all(Tonyu.classes.user.Explosion).nearest();
              if (_this.n&&_this.dist(_this.n)<64) {
                _this.alpha=_this.alphaInit+_this.n.radius;
                
              } else {
                _this.alpha=_this.alphaInit;
                
              }
              if (_this.limy-_this.y<10) {
                _this.alpha=_this.alphaInit+(_this.limy-_this.y)*10;
                
              }
              if (!(Tonyu.globals.$gov)) { __pc=2     ; break; }
              __pc=4     ; break;
              
            case 2     :
              
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
              _this.alpha=255;
              if (!(! Tonyu.globals.$gov)) { __pc=13    ; break; }
              Tonyu.globals.$gov=true;
              _this.i=0;
            case 5:
              if (!(_this.i<16)) { __pc=8     ; break; }
              _this.scaleX+=1/16;
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
            case 7     :
              _this.i++;
              __pc=5;break;
            case 8     :
              
              _this.i=0;
            case 9:
              if (!(_this.i<20)) { __pc=12    ; break; }
              Tonyu.globals.$panel.fillStyle=new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5});
              Tonyu.globals.$panel.fillRect(0,Tonyu.globals.$limy,465,100);
              _this.fiber$updateEx(_thread, 10);
              __pc=10;return;
            case 10:
              
            case 11    :
              _this.i++;
              __pc=9;break;
            case 12    :
              
            case 13    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      explode :function _trc_Bomb_explode() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
        Tonyu.globals.$score++;
        Tonyu.globals.$nokori++;
        _this.die();
      },
      fiber$explode :function _trc_Bomb_f_explode(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
        Tonyu.globals.$score++;
        Tonyu.globals.$nokori++;
        _this.die();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"explode":{"nowait":false}},"fields":{"alphaInit":{},"tx":{},"vy":{},"limy":{},"vx":{},"n":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Cannon',
  shortName: 'Cannon',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Cannon_main() {
        "use strict";
        var _this=this;
        
        if (_this.x<Tonyu.globals.$screenWidth/2) {
          while (! Tonyu.globals.$gov) {
            Tonyu.checkLoop();
            _this.updateEx(10);
            _this.launch(Tonyu.classes.user.Rader);
            
          }
          
        }
      },
      fiber$main :function _trc_Cannon_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Cannon_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.x<Tonyu.globals.$screenWidth/2)) { __pc=5     ; break; }
            case 1:
              if (!(! Tonyu.globals.$gov)) { __pc=4     ; break; }
              _this.fiber$updateEx(_thread, 10);
              __pc=2;return;
            case 2:
              
              _this.fiber$launch(_thread, Tonyu.classes.user.Rader);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      launch :function _trc_Cannon_launch(B,options) {
        "use strict";
        var _this=this;
        var spd;
        
        spd = 8;
        
        if (options&&options.slow) {
          spd=0.5;
        }
        new B({x: _this.x,y: _this.y,vx: _this.cos(_this.rotation-90)*spd,vy: _this.sin(_this.rotation-90)*spd,rotation: _this.rotation});
      },
      fiber$launch :function _trc_Cannon_f_launch(_thread,B,options) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var spd;
        
        spd = 8;
        
        if (options&&options.slow) {
          spd=0.5;
        }
        new B({x: _this.x,y: _this.y,vx: _this.cos(_this.rotation-90)*spd,vy: _this.sin(_this.rotation-90)*spd,rotation: _this.rotation});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"launch":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Cat',
  shortName: 'Cat',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Cat_main() {
        "use strict";
        var _this=this;
        
        _this.bp=_this.p;
        _this.animc=0;
        _this.cannon=new Tonyu.classes.user.Cannon({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_sample+0});
        _this.cannon.rotation=_this.x<Tonyu.globals.$screenWidth/2?45:- 45;
        while (true) {
          Tonyu.checkLoop();
          _this.cannon.x=_this.x+_this.cos(_this.cannon.rotation+270)*50;
          _this.cannon.y=_this.y+_this.sin(_this.cannon.rotation+270)*50;
          _this.cannon.rotation+=_this.pad.vx;
          _this.cannon.rotation=_this.clamp(_this.cannon.rotation,10-90,170-90);
          if (_this.pvy>=- 0.5&&_this.pad.vy<- 0.5&&_this.x>Tonyu.globals.$screenWidth/2) {
            if (Tonyu.globals.$nokori>0) {
              Tonyu.globals.$nokori--;
              _this.cannon.launch(Tonyu.classes.user.Missle);
              
            } else {
              if (_this.all(Tonyu.classes.user.Missle).length==0) {
                _this.cannon.launch(Tonyu.classes.user.Missle,{slow: true});
                
              }
              
            }
            
          }
          if (_this.abs(_this.pad.vx)>0.1) {
            _this.scaleX=_this.sgn(_this.pad.vx);
            _this.scaleY=1;
            _this.animc+=0.3;
            _this.p=_this.bp+3+_this.floor(_this.animc)%2;
            
          } else {
            _this.p=_this.bp;
          }
          _this.pvy=_this.pad.vy;
          if (Tonyu.globals.$gov) {
            _this.p=_this.bp+8;
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Cat_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.bp=_this.p;
        _this.animc=0;
        _this.cannon=new Tonyu.classes.user.Cannon({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_sample+0});
        _this.cannon.rotation=_this.x<Tonyu.globals.$screenWidth/2?45:- 45;
        
        _thread.enter(function _trc_Cat_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.cannon.x=_this.x+_this.cos(_this.cannon.rotation+270)*50;
              _this.cannon.y=_this.y+_this.sin(_this.cannon.rotation+270)*50;
              _this.cannon.rotation+=_this.pad.vx;
              _this.cannon.rotation=_this.clamp(_this.cannon.rotation,10-90,170-90);
              if (_this.pvy>=- 0.5&&_this.pad.vy<- 0.5&&_this.x>Tonyu.globals.$screenWidth/2) {
                if (Tonyu.globals.$nokori>0) {
                  Tonyu.globals.$nokori--;
                  _this.cannon.launch(Tonyu.classes.user.Missle);
                  
                } else {
                  if (_this.all(Tonyu.classes.user.Missle).length==0) {
                    _this.cannon.launch(Tonyu.classes.user.Missle,{slow: true});
                    
                  }
                  
                }
                
              }
              if (_this.abs(_this.pad.vx)>0.1) {
                _this.scaleX=_this.sgn(_this.pad.vx);
                _this.scaleY=1;
                _this.animc+=0.3;
                _this.p=_this.bp+3+_this.floor(_this.animc)%2;
                
              } else {
                _this.p=_this.bp;
              }
              _this.pvy=_this.pad.vy;
              if (Tonyu.globals.$gov) {
                _this.p=_this.bp+8;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"bp":{},"animc":{},"cannon":{},"pad":{},"pvy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Explosion',
  shortName: 'Explosion',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Explosion_main() {
        "use strict";
        var _this=this;
        
        _this.alpha=128;
        _this.radius=1;
        _this.fillStyle="red";
        _this.blink=new Tonyu.classes.kernel.Actor({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_neko+49});
        _this.radius=1;for (; _this.radius<48 ; _this.radius++) {
          Tonyu.checkLoop();
          {
            _this.move();
          }
        }
        _this.blink.die();
        _this.radius=48;for (; _this.radius>1 ; _this.radius--) {
          Tonyu.checkLoop();
          {
            _this.move();
          }
        }
        _this.die();
      },
      fiber$main :function _trc_Explosion_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.alpha=128;
        _this.radius=1;
        _this.fillStyle="red";
        _this.blink=new Tonyu.classes.kernel.Actor({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_neko+49});
        
        _thread.enter(function _trc_Explosion_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.radius=1;
            case 1:
              if (!(_this.radius<48)) { __pc=4     ; break; }
              _this.fiber$move(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.radius++;
              __pc=1;break;
            case 4     :
              
              _this.blink.die();
              _this.radius=48;
            case 5:
              if (!(_this.radius>1)) { __pc=8     ; break; }
              _this.fiber$move(_thread);
              __pc=6;return;
            case 6:
              
            case 7     :
              _this.radius--;
              __pc=5;break;
            case 8     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      move :function _trc_Explosion_move() {
        "use strict";
        var _this=this;
        
        _this.b=(_this.within(Tonyu.classes.user.Bomb,_this.radius));
        if (_this.b) {
          _this.b.explode();
          
        }
        _this.blink.alpha=Tonyu.globals.$frameCount%4<2?255:0;
        _this.update();
      },
      fiber$move :function _trc_Explosion_f_move(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.b=(_this.within(Tonyu.classes.user.Bomb,_this.radius));
        if (_this.b) {
          _this.b.explode();
          
        }
        _this.blink.alpha=Tonyu.globals.$frameCount%4<2?255:0;
        
        _thread.enter(function _trc_Explosion_ent_move(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$update(_thread);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"move":{"nowait":false}},"fields":{"blink":{},"b":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.resize(465,516);
        Tonyu.globals.$Screen.setBGColor("#008");
        Tonyu.globals.$limy=Tonyu.globals.$screenHeight-100;
        Tonyu.globals.$panel.fillStyle="brown";
        Tonyu.globals.$panel.fillRect(0,Tonyu.globals.$limy,465,100);
        Tonyu.globals.$panel.zOrder=100;
        _this.padl=new Tonyu.classes.kernel.APad({touchRadius: 50,x: 50,y: 460,keys: {left: "a",right: "d"},zOrder: - 100});
        Tonyu.globals.$catl=new Tonyu.classes.user.Cat({x: 50,y: 400,pad: _this.padl,p: Tonyu.globals.$pat_neko+0});
        _this.padr=new Tonyu.classes.kernel.APad({touchRadius: 50,x: 400,y: 460,zOrder: - 100});
        Tonyu.globals.$catr=new Tonyu.classes.user.Cat({x: 400,y: 400,pad: _this.padr,p: Tonyu.globals.$pat_neko+10});
        Tonyu.globals.$gov=false;
        new Tonyu.classes.user.Bomb({vy: 0.1});
        Tonyu.globals.$nokori=10;
        Tonyu.globals.$level=1;
        Tonyu.globals.$score=0;
        Tonyu.globals.$k=1;
        new Tonyu.classes.kernel.Label({x: 100,y: 50,template: "出現数 $level \n撃墜数 $score \n残りミサイル $nokori"});
        new Tonyu.classes.kernel.Label({x: 50,y: 460,text: "A　　D"});
        new Tonyu.classes.kernel.Label({x: 400,y: 430,text: "↑発射↑\n←  →"});
        while (true) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$level<3) {
            if (_this.all(Tonyu.classes.user.Bomb).length==0) {
              new Tonyu.classes.user.Bomb({vy: 0.1});
              Tonyu.globals.$level++;
              
            }
            
          } else {
            while (Tonyu.globals.$level<100) {
              Tonyu.checkLoop();
              _this.updateEx(100-Tonyu.globals.$level);
              new Tonyu.classes.user.Bomb({vy: _this.rndFloat(0.1,0.2+Tonyu.globals.$level/200)});
              Tonyu.globals.$level++;
              if (Tonyu.globals.$gov) {
                break;
                
              }
              
            }
            
          }
          if (Tonyu.globals.$gov) {
            break;
            
          }
          if (Tonyu.globals.$score>=100) {
            break;
            
          }
          _this.update();
          
        }
        if (Tonyu.globals.$k) {
          if (Tonyu.globals.$gov) {
            new Tonyu.classes.kernel.Button({text: "Next",url: "https://www.tonyu.jp/",top: 300,onClick: Tonyu.bindFunc(_this,_this.onClick)});
            
          } else {
            new Tonyu.classes.kernel.Button({text: "Next",url: "https://edit.tonyu.jp/",top: 300,onClick: Tonyu.bindFunc(_this,_this.onClick)});
            
          }
          
        } else {
          new Tonyu.classes.kernel.Button({text: "Replay",top: 300,onClick: Tonyu.bindFunc(_this,_this.onClick)});
          
        }
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.resize(465,516);
        Tonyu.globals.$Screen.setBGColor("#008");
        Tonyu.globals.$limy=Tonyu.globals.$screenHeight-100;
        Tonyu.globals.$panel.fillStyle="brown";
        Tonyu.globals.$panel.fillRect(0,Tonyu.globals.$limy,465,100);
        Tonyu.globals.$panel.zOrder=100;
        _this.padl=new Tonyu.classes.kernel.APad({touchRadius: 50,x: 50,y: 460,keys: {left: "a",right: "d"},zOrder: - 100});
        Tonyu.globals.$catl=new Tonyu.classes.user.Cat({x: 50,y: 400,pad: _this.padl,p: Tonyu.globals.$pat_neko+0});
        _this.padr=new Tonyu.classes.kernel.APad({touchRadius: 50,x: 400,y: 460,zOrder: - 100});
        Tonyu.globals.$catr=new Tonyu.classes.user.Cat({x: 400,y: 400,pad: _this.padr,p: Tonyu.globals.$pat_neko+10});
        Tonyu.globals.$gov=false;
        new Tonyu.classes.user.Bomb({vy: 0.1});
        Tonyu.globals.$nokori=10;
        Tonyu.globals.$level=1;
        Tonyu.globals.$score=0;
        Tonyu.globals.$k=1;
        new Tonyu.classes.kernel.Label({x: 100,y: 50,template: "出現数 $level \n撃墜数 $score \n残りミサイル $nokori"});
        new Tonyu.classes.kernel.Label({x: 50,y: 460,text: "A　　D"});
        new Tonyu.classes.kernel.Label({x: 400,y: 430,text: "↑発射↑\n←  →"});
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(Tonyu.globals.$level<3)) { __pc=2     ; break; }
              {
                if (_this.all(Tonyu.classes.user.Bomb).length==0) {
                  new Tonyu.classes.user.Bomb({vy: 0.1});
                  Tonyu.globals.$level++;
                  
                }
              }
              __pc=7     ;break;
            case 2     :
            case 3:
              if (!(Tonyu.globals.$level<100)) { __pc=6     ; break; }
              _this.fiber$updateEx(_thread, 100-Tonyu.globals.$level);
              __pc=4;return;
            case 4:
              
              new Tonyu.classes.user.Bomb({vy: _this.rndFloat(0.1,0.2+Tonyu.globals.$level/200)});
              Tonyu.globals.$level++;
              if (!(Tonyu.globals.$gov)) { __pc=5     ; break; }
              __pc=6     ; break;
              
            case 5     :
              
              __pc=3;break;
            case 6     :
              
            case 7     :
              
              if (!(Tonyu.globals.$gov)) { __pc=8     ; break; }
              __pc=11    ; break;
              
            case 8     :
              
              if (!(Tonyu.globals.$score>=100)) { __pc=9     ; break; }
              __pc=11    ; break;
              
            case 9     :
              
              _this.fiber$update(_thread);
              __pc=10;return;
            case 10:
              
              __pc=1;break;
            case 11    :
              
              if (Tonyu.globals.$k) {
                if (Tonyu.globals.$gov) {
                  new Tonyu.classes.kernel.Button({text: "Next",url: "https://www.tonyu.jp/",top: 300,onClick: Tonyu.bindFunc(_this,_this.onClick)});
                  
                } else {
                  new Tonyu.classes.kernel.Button({text: "Next",url: "https://edit.tonyu.jp/",top: 300,onClick: Tonyu.bindFunc(_this,_this.onClick)});
                  
                }
                
              } else {
                new Tonyu.classes.kernel.Button({text: "Replay",top: 300,onClick: Tonyu.bindFunc(_this,_this.onClick)});
                
              }
              _thread.exit(_this);return;
            }
          }
        });
      },
      onClick :function _trc_Main_onClick(b) {
        "use strict";
        var _this=this;
        
        if (b.url) {
          Tonyu.globals.$WebPage.openPage(b.url);
          
        } else {
          _this.loadPage(Tonyu.classes.user.Main);
        }
      },
      fiber$onClick :function _trc_Main_f_onClick(_thread,b) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Main_ent_onClick(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(b.url)) { __pc=1     ; break; }
              {
                Tonyu.globals.$WebPage.openPage(b.url);
              }
              __pc=3     ;break;
            case 1     :
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Main);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"onClick":{"nowait":false}},"fields":{"padl":{},"padr":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Missle',
  shortName: 'Missle',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Missle_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_mapchip+1;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.m=_this.crashTo(Tonyu.classes.user.Bomb);
          if (_this.m) {
            _this.m.explode();
            _this.die();
            
          }
          if (_this.screenOut()) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Missle_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_mapchip+1;
        
        _thread.enter(function _trc_Missle_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              _this.m=_this.crashTo(Tonyu.classes.user.Bomb);
              if (_this.m) {
                _this.m.explode();
                _this.die();
                
              }
              if (_this.screenOut()) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"vx":{},"vy":{},"m":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Rader',
  shortName: 'Rader',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Rader_main() {
        "use strict";
        var _this=this;
        
        _this.radius=20;
        _this.alpha=128;
        _this.fillStyle="white";
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.m=_this.crashTo(Tonyu.classes.user.Bomb);
          if (_this.m) {
            _this.vx+=(_this.x-_this.m.x)*0.1;
            _this.vy+=(_this.y-_this.m.y)*0.1;
            
          }
          if (_this.screenOut()) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Rader_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.radius=20;
        _this.alpha=128;
        _this.fillStyle="white";
        
        _thread.enter(function _trc_Rader_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              _this.m=_this.crashTo(Tonyu.classes.user.Bomb);
              if (_this.m) {
                _this.vx+=(_this.x-_this.m.x)*0.1;
                _this.vy+=(_this.y-_this.m.y)*0.1;
                
              }
              if (_this.screenOut()) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"vx":{},"vy":{},"m":{}}}
});

//# sourceMappingURL=concat.js.map